package org.r3pek.guiatv;


public class Channel {
	
	private String name;
	private String sigla;
	private String provider;
	private String type;
	
	public Channel() {
	}
	
	public Channel(String name, String sigla, String provider, String type) {
		this.name = name;
		this.sigla = sigla;
		this.provider = provider;
		this.type = type;
	}

	public String getName() {
		return name != null ? name : "";
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getSigla() {
		return sigla != null ? sigla : "";
	}

	public void setSigla(String sigla) {
		this.sigla = sigla;
	}

	public String getProvider() {
		return provider != null ? provider : "";
	}

	public void setProvider(String provider) {
		this.provider = provider;
	}

	public String getType() {
		return type != null ? type : "";
	}

	public void setType(String type) {
		this.type = type;
	}

}
